"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const Pageres = require('pageres');
const create_file_node_1 = require("gatsby-source-filesystem/create-file-node");
const Bluebird = require("bluebird");
exports.sourceNodes = async ({ actions: { createNode }, store, createNodeId, createContentDigest, reporter }, { websites, sizes = ['1920x1080'], delay = 2, crop = true }) => {
    const localDir = path.join(store.getState().program.directory, '.cache', 'gatsby-source-websites');
    const createWebsiteNodes = async () => await websites.map(async (website) => {
        await new Pageres({ delay, filename: website.slug })
            .src(website.url, sizes, { crop: crop })
            .dest(localDir)
            .run();
        const filePath = path.resolve(localDir, website.slug + '.png');
        await createNode({
            ...website,
            id: createNodeId(`website-${website.name}`),
            internal: {
                type: 'website',
                contentDigest: createContentDigest({ ...website })
            }
        });
        await create_file_node_1.createFileNode(filePath, createNodeId, { name: 'gatsby-source-filesystem' });
    });
    const activity = reporter.activityTimer(`${websites.length} website nodes`);
    activity.start();
    await Bluebird.all(createWebsiteNodes());
    activity.end();
};
//# sourceMappingURL=gatsby-node.js.map